local mod_name = '__WallsAreGates__'

local hor = 
  {
    filename = mod_name.."/graphics/gate-horizontal.png",
    line_length = 16,
    width = 32,
    height = 36,
    frame_count = 16,
    -- shift = {0 , -14/64}
    shift = {0 , -16/64}
  }

local ver = 
  {
    filename = mod_name.."/graphics/gate-vertical.png",
    line_length = 16,
    width = 21,
    height = 60,
    frame_count = 16,
    shift = {1/64, -26/64}
  } 
  
data.raw.gate.gate.horizontal_animation.layers[1] = hor
data.raw.gate.gate.vertical_animation.layers[1] = ver


data.raw.gate.gate.horizontal_rail_animation_left.layers[1] = hor
data.raw.gate.gate.horizontal_rail_animation_right.layers[1] = hor

data.raw.gate.gate.vertical_rail_animation_left.layers[1] = ver
data.raw.gate.gate.vertical_rail_animation_right.layers[1] = ver